### Method

# GUPnP ServiceProxy add_raw_notify

#### Declaration [src]

    gboolean
    gupnp_service_proxy_add_raw_notify (
      GUPnPServiceProxy* proxy,
      GUPnPServiceProxyNotifyCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Get a notification for anything that happens on the peer.

`value` in `callback` will be of type #G_TYPE_POINTER and contain the pre-parsed

# xmlDoc. Do NOT free or modify this document.

Available since: | 0.20.12

#### Parameters

`callback` | `GUPnPServiceProxyNotifyCallback`
| The callback to call when the peer issues any variable notification.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`notify` | `GDestroyNotify`
| A `GDestroyNotify` for `user_data`.
| The argument can be `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.